Subject: Re: [PATCH v2 01/20] net: slight optimization of addr compare for some modules

From: Ding Tianhong <[email-masked]>
Date: Tue, 24 Dec 2013 23:22:40 +0800

于 2013/12/24 23:05, Joe Perches 写道:
> On Tue, 2013-12-24 at 22:35 +0800, Ding Tianhong wrote:
>> 于 2013/12/24 22:22, Joe Perches 写道:
>>> On Tue, 2013-12-24 at 19:27 +0800, Ding Tianhong wrote:
>>>> Use possibly more efficient ether_addr_equal_unaligned
>>>> and ether_addr_equal to instead of memcmp.
>>>
>>> A negative of adding so many different drivers in a single
>>> patch is that you miss sending patches to the named maintainers.
>>>
>>> Most of these below have separate individual maintainers.
>>
>> you mean that I should send below by separate patch?
> 
> I think yes,
> 
> You can send them to netdev, but cc'ing the named
> maintainers is a polite thing to do.
> 
> Sending individual patches can make it easier for
> maintainers to review the bits that are specific
> to their projects without having to wade through
> other changes that aren't relevant to them.
> 

OK, I will rebuild the 01/20 patch and make it to seperate patches follow your opinion.
and the rest of the patches I think is fit and no need to modify, if you agree with me,
I will send the rest 19 patch as the first step, and then seperate this patch as the second
step, send them in net-next.

Regards
Ding

>> It seemed that I 
>> misunderstood, I use the ./script/getmainter and found the only maintainer
>> is David, and others are support, so maybe I was wrong, but it really a big
>> patchset, could I send them by seperate patchset? I think it could be more
>> clearly.
> 
>>From the MAINTAINERS file:
> 	S: Status, one of the following:
> 	   Supported:	Someone is actually paid to look after this.
> 	   Maintained:	Someone actually looks after it.
> 	   Odd Fixes:	It has a maintainer but they don't have time to do
> 			much other than throw the odd patch in. See below..
> 	   Orphan:	No current maintainer [but maybe you could take the
> 			role as you write your new code].
> 	   Obsolete:	Old code. Something tagged obsolete generally means
> 			it has been replaced by a better system and you
> 			should be using that.
> 
> So "supported" is "higher/better" than "maintained".
> 

OK

------------------------------------------------------------------------------
Rapidly troubleshoot problems before they affect your business. Most IT 
organizations don't have a clear picture of how application performance 
affects their revenue. With AppDynamics, you get 100% visibility into your 
Java,.NET, & PHP application. Start your 15-day FREE TRIAL of AppDynamics Pro!
http://pubads.g.doubleclick.net/gampad/clk?id=84349831&iu=/4140/ostg.clktrk
_______________________________________________
E1000-devel mailing list
[email-masked]
https://lists.sourceforge.net/lists/listinfo/e1000-devel
To learn more about Intel&#174; Ethernet, visit http://communities.intel.com/community/wired